Bug 152222

Summary: FTLB3Output should maintain good block order like the LLVM one does
Product: WebKit Reporter: Filip Pizlo <fpizlo>
Component: JavaScriptCoreAssignee: Filip Pizlo <fpizlo>
Status: RESOLVED FIXED    
Severity: Normal CC: barraclough, benjamin, commit-queue, ggaren, keith_miller, mark.lam, mhahnenb, msaboff, oliver, sam, sbarati
Priority: P2    
Version: WebKit Nightly Build   
Hardware: All   
OS: All   
Bug Depends on:    
Bug Blocks: 150279    
Attachments:
Description Flags
work in progress
none
the patch
ggaren: review+, buildbot: commit-queue-
Archive of layout-test-results from ews117 for mac-yosemite none

Description Filip Pizlo 2015-12-12 22:13:50 PST
...
Comment 1 Filip Pizlo 2016-01-25 19:30:24 PST
Created attachment 269844 [details]
work in progress
Comment 2 Filip Pizlo 2016-01-25 23:01:14 PST
Created attachment 269853 [details]
the patch
Comment 3 WebKit Commit Bot 2016-01-25 23:04:04 PST
Attachment 269853 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/disassembler/udis86/udis86_syn-att.c:234:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/JavaScriptCore/disassembler/udis86/udis86_syn-att.c:235:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Total errors found: 2 in 13 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Geoffrey Garen 2016-01-25 23:35:56 PST
Comment on attachment 269853 [details]
the patch

r=me
Comment 5 Filip Pizlo 2016-01-25 23:57:53 PST
Thanks!  I have a fix for the debug test failures.  It was an incorrect assertion in the linked list code.
Comment 6 Build Bot 2016-01-25 23:59:40 PST
Comment on attachment 269853 [details]
the patch

Attachment 269853 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/740083

Number of test failures exceeded the failure limit.
Comment 7 Build Bot 2016-01-25 23:59:43 PST
Created attachment 269860 [details]
Archive of layout-test-results from ews117 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 8 Filip Pizlo 2016-01-26 00:18:09 PST
Landed in http://trac.webkit.org/changeset/195585
Comment 9 Filip Pizlo 2016-01-26 00:18:26 PST
Landed in http://trac.webkit.org/changeset/195585